Bug 1418935 - polkitd keeps consuming RAM
Summary: polkitd keeps consuming RAM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: polkit
Version: 7.2
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Miloslav Trmač
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On: 1380166
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 08:27 UTC by Jaroslav Reznik
Modified: 2020-04-15 15:12 UTC (History)
10 users (show)

Fixed In Version: polkit-0.112-7.el7_2.2
Doc Type: Bug Fix
Doc Text:
Previously, the polkit daemon (polkitd) was not able to correctly free all memory allocated during normal operation. Consequently, the memory allocated to polkitd continued to grow. When the system ran out of memory, the kernel terminated the process unexpectedly. This bug has been fixed and the polkitd now can free the memory as expected.
Clone Of: 1380166
Environment:
Last Closed: 2017-03-14 14:59:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2898921 None None None 2017-02-03 08:27:13 UTC
Red Hat Product Errata RHBA-2017:0502 normal SHIPPED_LIVE polkit bug fix update 2017-03-14 18:50:54 UTC

Description Jaroslav Reznik 2017-02-03 08:27:05 UTC
This bug has been copied from bug #1380166 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 8 errata-xmlrpc 2017-03-14 14:59:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0502.html


Note You need to log in before you can comment on or make changes to this bug.